<?php
    
    namespace artbox\catalog\controllers;

    use artbox\catalog\models\Option;
    use artbox\catalog\models\OptionGroup;
    use artbox\catalog\models\OptionSearch;
    use artbox\catalog\models\VariantOptionExcl;
    use artbox\catalog\models\VariantOptionExclSearch;
    use artbox\catalog\models\VariantOptionGroupExcl;
    use yii\filters\AccessControl;
    /**
     * VariantOptionExclController implements the CRUD actions for VariantOptionExcl model.
     */
    class VariantOptionExclController extends OptionController
    {
        /**
         * @inheritdoc
         */
        public function getViewPath()
        {
            return '@artbox/catalog/views/variant-option-excl';
        }
        public function behaviors()
        {
            return [
                'access' => [
                    'class' => AccessControl::className(),
                    'rules' => [
                        [
                            'actions' => [
                                'login',
                                'error',
                            ],
                            'allow'   => true,
                        ],
                        [
                            'allow' => true,
                            'roles' => [ '@' ],
                        ],
                    ],
                ],
            ];
        }
        
        /**
         * Create exact model
         *
         * @return Option
         */
        protected function createModel(): Option
        {
            return new VariantOptionExcl();
        }
        /**
         * Create exact search model
         *
         * @return OptionSearch
         */
        protected function createSearchModel(): OptionSearch
        {
            return new VariantOptionExclSearch();
        }
        /**
         * Find exact model
         *
         * @param $id
         *
         * @return Option|null
         */
        protected function findOne($id)
        {
            return VariantOptionExcl::findOne($id);
        }
        /**
         * Find exact group
         *
         * @param $id
         *
         * @return OptionGroup|null
         */
        protected function findOneGroup($id)
        {
            return VariantOptionGroupExcl::findOne($id);
        }
    }
