<?php
    
    use yii\db\Migration;
    
    class m170405_000002_brand_lang extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'brand_lang',
                [
                    'brand_id'    => $this->integer(32)
                                          ->notNull(),
                    'language_id' => $this->integer(32)
                                          ->notNull(),
                    'title'       => $this->string(255)
                                          ->notNull(),
                    'alias_id'    => $this->integer(),
                    'description' => $this->text(),
                ]
            );
            $this->createIndex('brand_lang_alias_id', 'brand_lang', 'alias_id', true);
            $this->addPrimaryKey(
                'brand_lang_pk',
                'brand_lang',
                [
                    'brand_id',
                    'language_id',
                ]
            );
            $this->addForeignKey(
                'brand_lang_brand_id_to_brand_fk',
                'brand_lang',
                'brand_id',
                'brand',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'brand_lang_language_id_to_language_fk',
                'brand_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
            $this->addForeignKey(
                'brand_lang_alias_id_to_alias_fk',
                'brand_lang',
                'alias_id',
                'alias',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'brand_lang_alias_id_to_alias_fk',
                'brand_lang'
            );
            $this->dropForeignKey(
                'brand_lang_language_id_to_language_fk',
                'brand_lang'
            );
            $this->dropForeignKey(
                'brand_lang_brand_id_to_brand_fk',
                'brand_lang'
            );
            $this->dropIndex('brand_lang_alias_id', 'brand_lang');
            $this->dropTable('brand_lang');
        }
    }
