<?php
    
    use yii\db\Migration;
    
    class m170405_000004_product_lang extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_lang',
                [
                    'product_id'  => $this->integer(32)
                                          ->notNull(),
                    'language_id' => $this->integer(32)
                                          ->notNull(),
                    'title'       => $this->string(255)
                                          ->notNull(),
                    'alias_id'    => $this->integer(),
                    'description' => $this->text(),
                ]
            );
            $this->createIndex('product_lang_alias_id', 'product_lang', 'alias_id', true);
            $this->addPrimaryKey(
                'product_lang_pk',
                'product_lang',
                [
                    'product_id',
                    'language_id',
                ]
            );
            $this->addForeignKey(
                'product_lang_product_id_to_product_fk',
                'product_lang',
                'product_id',
                'product',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'product_lang_language_id_to_language_fk',
                'product_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
            $this->addForeignKey(
                'product_lang_alias_id_to_alias_fk',
                'product_lang',
                'alias_id',
                'alias',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_lang_alias_id_to_alias_fk',
                'product_lang'
            );
            $this->dropForeignKey(
                'product_lang_language_id_to_language_fk',
                'product_lang'
            );
            $this->dropForeignKey(
                'product_lang_product_id_to_product_fk',
                'product_lang'
            );
            $this->dropIndex('product_lang_alias_id', 'product_lang');
            $this->dropTable('product_lang');
        }
    }
