<?php
    
    use yii\db\Migration;
    
    class m170405_000005_category extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'category',
                [
                    'id'         => $this->primaryKey(),
                    'image_id'   => $this->integer(),
                    'thumb_id'   => $this->integer(),
                    'parent_id'  => $this->integer(),
                    'level'      => $this->integer()
                                         ->notNull()
                                         ->defaultValue(0),
                    'sort'       => $this->integer()
                                         ->defaultValue(0),
                    'status'     => $this->boolean()
                                         ->defaultValue(true),
                    'created_at' => $this->integer(),
                    'updated_at' => $this->integer(),
                ]
            );
            
            $this->addForeignKey(
                'category_image_id_to_image_manager_fk',
                'category',
                'image_id',
                'ImageManager',
                'id',
                'SET NULL',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'category_thumb_id_to_image_manager_fk',
                'category',
                'thumb_id',
                'ImageManager',
                'id',
                'SET NULL',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'category_parent_id_to_category_fk',
                'category',
                'parent_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'category_image_id_to_image_manager_fk',
                'category'
            );
            $this->dropForeignKey(
                'category_thumb_id_to_image_manager_fk',
                'category'
            );
            $this->dropForeignKey(
                'category_parent_id_to_category_fk',
                'category'
            );
            $this->dropTable('category');
        }
    }
