<?php
    
    use yii\db\Migration;
    
    class m170405_000007_product_to_category extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_to_category',
                [
                    'product_id'  => $this->integer()
                                          ->notNull(),
                    'category_id' => $this->integer()
                                          ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'product_to_category_pk',
                'product_to_category',
                [
                    'product_id',
                    'category_id',
                ]
            );
            
            $this->addForeignKey(
                'product_to_category_product_id_to_product_fk',
                'product_to_category',
                'product_id',
                'product',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'product_to_category_category_id_to_category_fk',
                'product_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_to_category_product_id_to_product_fk',
                'product_to_category'
            );
            $this->dropForeignKey(
                'product_to_category_category_id_to_category_fk',
                'product_to_category'
            );
            $this->dropTable('product_to_category');
        }
    }
