<?php
    
    use yii\db\Migration;
    
    class m170405_000011_variant_to_image extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'variant_to_image',
                [
                    'variant_id' => $this->integer()
                                         ->notNull(),
                    'image_id'   => $this->integer()
                                         ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'variant_to_image_pk',
                'variant_to_image',
                [
                    'variant_id',
                    'image_id',
                ]
            );
            
            $this->addForeignKey(
                'variant_to_image_variant_id_to_variant_fk',
                'variant_to_image',
                'variant_id',
                'variant',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'variant_to_image_image_id_to_image_manager_fk',
                'variant_to_image',
                'image_id',
                'ImageManager',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'variant_to_image_variant_id_to_variant_fk',
                'variant_to_image'
            );
            $this->dropForeignKey(
                'variant_to_image_image_id_to_image_manager_fk',
                'variant_to_image'
            );
            $this->dropTable('variant_to_image');
        }
    }
