<?php
    
    use yii\db\Migration;
    
    class m170405_000015_product_option_group_excl_lang extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_option_group_excl_lang',
                [
                    'product_option_group_excl_id' => $this->integer(32)
                                                           ->notNull(),
                    'language_id'                  => $this->integer(32)
                                                           ->notNull(),
                    'title'                        => $this->string(255)
                                                           ->notNull(),
                    'alias_id'                     => $this->integer(),
                    'description'                  => $this->text(),
                ]
            );
            $this->createIndex(
                'product_option_group_excl_lang_alias_id',
                'product_option_group_excl_lang',
                'alias_id',
                true
            );
            $this->addPrimaryKey(
                'product_option_group_excl_lang_pk',
                'product_option_group_excl_lang',
                [
                    'product_option_group_excl_id',
                    'language_id',
                ]
            );
            $this->addForeignKey(
                'product_option_group_excl_lang_product_option_group_excl_id_to_brand_fk',
                'product_option_group_excl_lang',
                'product_option_group_excl_id',
                'product_option_group_excl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'product_option_group_excl_lang_language_id_to_language_fk',
                'product_option_group_excl_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
            $this->addForeignKey(
                'product_option_group_excl_lang_alias_id_to_alias_fk',
                'product_option_group_excl_lang',
                'alias_id',
                'alias',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_option_group_excl_lang_alias_id_to_alias_fk',
                'product_option_group_excl_lang'
            );
            $this->dropForeignKey(
                'product_option_group_excl_lang_language_id_to_language_fk',
                'product_option_group_excl_lang'
            );
            $this->dropForeignKey(
                'product_option_group_excl_lang_product_option_group_excl_id_to_brand_fk',
                'product_option_group_excl_lang'
            );
            $this->dropIndex('product_option_group_excl_lang_alias_id', 'product_option_group_excl_lang');
            $this->dropTable('product_option_group_excl_lang');
        }
    }
