<?php
    
    use yii\db\Migration;
    
    class m170405_000017_variant_option_group_compl_lang extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'variant_option_group_compl_lang',
                [
                    'variant_option_group_compl_id' => $this->integer(32)
                                                            ->notNull(),
                    'language_id'                   => $this->integer(32)
                                                            ->notNull(),
                    'title'                         => $this->string(255)
                                                            ->notNull(),
                    'alias_id'                      => $this->integer(),
                    'description'                   => $this->text(),
                ]
            );
            $this->createIndex(
                'variant_option_group_compl_lang_alias_id',
                'variant_option_group_compl_lang',
                'alias_id',
                true
            );
            $this->addPrimaryKey(
                'variant_option_group_compl_lang_pk',
                'variant_option_group_compl_lang',
                [
                    'variant_option_group_compl_id',
                    'language_id',
                ]
            );
            $this->addForeignKey(
                'variant_option_group_compl_lang_variant_option_group_compl_id_to_brand_fk',
                'variant_option_group_compl_lang',
                'variant_option_group_compl_id',
                'variant_option_group_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'variant_option_group_compl_lang_language_id_to_language_fk',
                'variant_option_group_compl_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
            $this->addForeignKey(
                'variant_option_group_compl_lang_alias_id_to_alias_fk',
                'variant_option_group_compl_lang',
                'alias_id',
                'alias',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'variant_option_group_compl_lang_alias_id_to_alias_fk',
                'variant_option_group_compl_lang'
            );
            $this->dropForeignKey(
                'variant_option_group_compl_lang_language_id_to_language_fk',
                'variant_option_group_compl_lang'
            );
            $this->dropForeignKey(
                'variant_option_group_compl_lang_variant_option_group_compl_id_to_brand_fk',
                'variant_option_group_compl_lang'
            );
            $this->dropIndex('variant_option_group_compl_lang_alias_id', 'variant_option_group_compl_lang');
            $this->dropTable('variant_option_group_compl_lang');
        }
    }
