<?php
    
    use yii\db\Migration;
    
    class m170405_000021_product_option_compl_lang extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_option_compl_lang',
                [
                    'product_option_compl_id' => $this->integer(32)
                                                      ->notNull(),
                    'language_id'             => $this->integer(32)
                                                      ->notNull(),
                    'value'                   => $this->string(255)
                                                      ->notNull(),
                    'alias_id'                => $this->integer(),
                ]
            );
            $this->createIndex('product_option_compl_lang_alias_id', 'product_option_compl_lang', 'alias_id', true);
            $this->addPrimaryKey(
                'product_option_compl_lang_pk',
                'product_option_compl_lang',
                [
                    'product_option_compl_id',
                    'language_id',
                ]
            );
            $this->addForeignKey(
                'product_option_compl_lang_product_option_compl_id_to_product_option_compl_fk',
                'product_option_compl_lang',
                'product_option_compl_id',
                'product_option_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'product_option_compl_lang_language_id_to_language_fk',
                'product_option_compl_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
            $this->addForeignKey(
                'product_option_compl_lang_alias_id_to_alias_fk',
                'product_option_compl_lang',
                'alias_id',
                'alias',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_option_compl_lang_alias_id_to_alias_fk',
                'product_option_compl_lang'
            );
            $this->dropForeignKey(
                'product_option_compl_lang_language_id_to_language_fk',
                'product_option_compl_lang'
            );
            $this->dropForeignKey(
                'product_option_compl_lang_product_option_compl_id_to_product_option_compl_fk',
                'product_option_compl_lang'
            );
            $this->dropIndex('product_option_compl_lang_alias_id', 'product_option_compl_lang');
            $this->dropTable('product_option_compl_lang');
        }
    }
