<?php
    
    use yii\db\Migration;
    
    class m170405_000022_product_option_excl extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_option_excl',
                [
                    'id'                           => $this->primaryKey(),
                    'product_option_group_excl_id' => $this->integer()
                                                           ->notNull(),
                    'image_id'                     => $this->integer(),
                    'sort'                         => $this->integer()
                                                           ->defaultValue(0),
                    'status'                       => $this->boolean()
                                                           ->defaultValue(true),
                    'created_at'                   => $this->integer(),
                    'updated_at'                   => $this->integer(),
                ]
            );
            
            $this->addForeignKey(
                'product_option_excl_product_option_group_excl_id_to_product_option_group_excl_fk',
                'product_option_excl',
                'product_option_group_excl_id',
                'product_option_group_excl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_option_excl_product_option_group_excl_id_to_product_option_group_excl_fk',
                'product_option_excl'
            );
            $this->dropTable('product_option_excl');
        }
    }
