<?php
    
    use yii\db\Migration;
    
    class m170405_000031_variant_to_variant_option_excl extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'variant_to_variant_option_excl',
                [
                    'variant_id'             => $this->integer()
                                                     ->notNull(),
                    'variant_option_excl_id' => $this->integer()
                                                     ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'variant_to_variant_option_excl_pk',
                'variant_to_variant_option_excl',
                [
                    'variant_id',
                    'variant_option_excl_id',
                ]
            );
            
            $this->addForeignKey(
                'variant_to_variant_option_excl_variant_id_to_variant_fk',
                'variant_to_variant_option_excl',
                'variant_id',
                'variant',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'variant_to_variant_option_excl_variant_to_variant_option_excl_id_to_category_fk',
                'variant_to_variant_option_excl',
                'variant_option_excl_id',
                'variant_option_excl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'variant_to_variant_option_excl_variant_id_to_variant_fk',
                'variant_to_variant_option_excl'
            );
            $this->dropForeignKey(
                'variant_to_variant_option_excl_variant_to_variant_option_excl_id_to_category_fk',
                'variant_to_variant_option_excl'
            );
            $this->dropTable('variant_to_variant_option_excl');
        }
    }
