<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation of table `product_recommend`.
     */
    class m170606_143404_create_product_recommend_table extends Migration
    {
        /**
         * @inheritdoc
         */
        public function safeUp()
        {
            $this->createTable(
                'product_recommend',
                [
                    'product_id'   => $this->integer()
                                           ->notNull(),
                    'recommend_id' => $this->integer()
                                           ->notNull(),
                ]
            );
            $this->addPrimaryKey(
                'product_recommend_pk',
                'product_recommend',
                [
                    'product_id',
                    'recommend_id',
                ]
            );
            $this->addForeignKey(
                'product_fkey',
                'product_recommend',
                'product_id',
                'product',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'recommend_fkey',
                'product_recommend',
                'recommend_id',
                'product',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        /**
         * @inheritdoc
         */
        public function safeDown()
        {
            $this->dropTable('product_recommend');
        }
    }
