<?php
    
    namespace artbox\catalog\models;
    
    use yii\base\Model;
    use yii\data\ActiveDataProvider;
    
    /**
     * BrandSearch represents the model behind the search form about `artbox\catalog\models\Brand`.
     */
    class BrandSearch extends Brand
    {
    
        public $title;
        
        /**
         * @inheritdoc
         */
        public function behaviors()
        {
            return [];
        }
    
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'id',
                        'image_id',
                    ],
                    'integer',
                ],
                [
                    [
                        'title',
                    ],
                    'string',
                ],
                [
                    [ 'status' ],
                    'boolean',
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function scenarios()
        {
            // bypass scenarios() implementation in the parent class
            return Model::scenarios();
        }
        
        /**
         * Creates data provider instance with search query applied
         *
         * @param array $params
         *
         * @return ActiveDataProvider
         */
        public function search($params)
        {
            $query = Brand::find()
                          ->joinWith('lang');
            
            // add conditions that should always apply here
            
            $dataProvider = new ActiveDataProvider(
                [
                    'query' => $query,
                    'sort'  => [
                        'attributes' => [
                            'id',
                            'title',
                            'created_at',
                            'status',
                            'sort',
                        ],
                    ],
                ]
            );
            
            $this->load($params);
            
            if (!$this->validate()) {
                // uncomment the following line if you do not want to return any records when validation fails
                // $query->where('0=1');
                return $dataProvider;
            }
            
            // grid filtering conditions
            $query->andFilterWhere(
                [
                    'id'     => $this->id,
                    'status' => $this->status,
                ]
            )
                  ->andFilterWhere(
                      [
                          'like',
                          'brand_lang.title',
                          $this->title,
                      ]
                  );
            
            return $dataProvider;
        }
    }
