<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "product_option_compl_to_category".
     *
     * @property integer            $category_id
     * @property integer            $product_option_compl_id
     *
     * @property Category           $category
     * @property ProductOptionCompl $productOptionCompl
     */
    class ProductOptionComplToCategory extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'product_option_compl_to_category';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'category_id',
                        'product_option_compl_id',
                    ],
                    'required',
                ],
                [
                    [
                        'category_id',
                        'product_option_compl_id',
                    ],
                    'integer',
                ],
                [
                    [ 'category_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Category::className(),
                    'targetAttribute' => [ 'category_id' => 'id' ],
                ],
                [
                    [ 'product_option_compl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => ProductOptionCompl::className(),
                    'targetAttribute' => [ 'product_option_compl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'category_id'             => Yii::t('catalog', 'Category ID'),
                'product_option_compl_id' => Yii::t('catalog', 'Product Option Compl ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getCategory()
        {
            return $this->hasOne(Category::className(), [ 'id' => 'category_id' ])
                        ->inverseOf('productOptionComplToCategories');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getProductOptionCompl()
        {
            return $this->hasOne(ProductOptionCompl::className(), [ 'id' => 'product_option_compl_id' ])
                        ->inverseOf('productOptionComplToCategories');
        }
    }
