<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "product_option_excl_to_category".
     *
     * @property integer           $category_id
     * @property integer           $product_option_excl_id
     *
     * @property Category          $category
     * @property ProductOptionExcl $productOptionExcl
     */
    class ProductOptionExclToCategory extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'product_option_excl_to_category';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'category_id',
                        'product_option_excl_id',
                    ],
                    'required',
                ],
                [
                    [
                        'category_id',
                        'product_option_excl_id',
                    ],
                    'integer',
                ],
                [
                    [ 'category_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Category::className(),
                    'targetAttribute' => [ 'category_id' => 'id' ],
                ],
                [
                    [ 'product_option_excl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => ProductOptionExcl::className(),
                    'targetAttribute' => [ 'product_option_excl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'category_id'            => Yii::t('catalog', 'Category ID'),
                'product_option_excl_id' => Yii::t('catalog', 'Product Option Excl ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getCategory()
        {
            return $this->hasOne(Category::className(), [ 'id' => 'category_id' ])
                        ->inverseOf('productOptionExclToCategories');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getProductOptionExcl()
        {
            return $this->hasOne(ProductOptionExcl::className(), [ 'id' => 'product_option_excl_id' ])
                        ->inverseOf('productOptionExclToCategories');
        }
    }
