<?php
    
    namespace artbox\catalog\models;

    use artbox\core\behaviors\SlugBehavior;
    
    /**
     * This is the model class for table "product_option_group_compl_lang".
     *
     * @property integer                 $product_option_group_compl_id
     *
     * @property ProductOptionGroupCompl $productOptionGroupCompl
     */
    class ProductOptionGroupComplLang extends OptionGroupLang
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'product_option_group_compl_lang';
        }
    
        /**
         * @inheritdoc
         */
        public function behaviors()
        {
            return [
                'slug' => [
                    'class'  => SlugBehavior::className(),
                    'action' => 'product-option-group-complementary/view',
                    'params' => [
                        'id' => 'product_option_group_compl_id',
                    ],
                    'fields' => [
                        'title'       => \Yii::t('catalog', 'Option group title'),
                        'description' => \Yii::t('catalog', 'Option group description'),
                    ],
                ],
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getProductOptionGroupCompl()
        {
            return $this->hasOne(ProductOptionGroupCompl::className(), [ 'id' => 'product_option_group_compl_id' ])
                        ->inverseOf('productOptionGroupComplLangs');
        }
    }
