<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "product_option_group_compl_to_category".
     *
     * @property integer                 $product_option_group_compl_id
     * @property integer                 $category_id
     *
     * @property Category                $category
     * @property ProductOptionGroupCompl $productOptionGroupCompl
     */
    class ProductOptionGroupComplToCategory extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'product_option_group_compl_to_category';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'product_option_group_compl_id',
                        'category_id',
                    ],
                    'required',
                ],
                [
                    [
                        'product_option_group_compl_id',
                        'category_id',
                    ],
                    'integer',
                ],
                [
                    [ 'category_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Category::className(),
                    'targetAttribute' => [ 'category_id' => 'id' ],
                ],
                [
                    [ 'product_option_group_compl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => ProductOptionGroupCompl::className(),
                    'targetAttribute' => [ 'product_option_group_compl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'product_option_group_compl_id' => Yii::t('catalog', 'Product Option Group Compl ID'),
                'category_id'                   => Yii::t('catalog', 'Category ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getCategory()
        {
            return $this->hasOne(Category::className(), [ 'id' => 'category_id' ])
                        ->inverseOf('productOptionGroupComplToCategories');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getProductOptionGroupCompl()
        {
            return $this->hasOne(ProductOptionGroupCompl::className(), [ 'id' => 'product_option_group_compl_id' ])
                        ->inverseOf('productOptionGroupComplToCategories');
        }
    }
