<?php
    
    namespace artbox\catalog\models;

    use artbox\core\behaviors\SlugBehavior;
    
    /**
     * This is the model class for table "product_option_group_excl_lang".
     *
     * @property integer                $product_option_group_excl_id
     *
     * @property ProductOptionGroupExcl $productOptionGroupExcl
     */
    class ProductOptionGroupExclLang extends OptionGroupLang
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'product_option_group_excl_lang';
        }
    
        /**
         * @inheritdoc
         */
        public function behaviors()
        {
            return [
                'slug' => [
                    'class'  => SlugBehavior::className(),
                    'action' => 'product-option-group-excl/view',
                    'params' => [
                        'id' => 'product_option_group_excl_id',
                    ],
                    'fields' => [
                        'title'       => \Yii::t('catalog', 'Option group title'),
                        'description' => \Yii::t('catalog', 'Option group description'),
                    ],
                ],
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getProductOptionGroupExcl()
        {
            return $this->hasOne(ProductOptionGroupExcl::className(), [ 'id' => 'product_option_group_excl_id' ])
                        ->inverseOf('productOptionGroupExclLangs');
        }
    }
