<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "product_option_group_excl_to_category".
     *
     * @property integer                $product_option_group_excl_id
     * @property integer                $category_id
     * @property Category               $category
     * @property integer                $sort
     * @property boolean                $in_menu
     * @property boolean                $is_filter
     * @property boolean                $status
     * @property ProductOptionGroupExcl $productOptionGroupExcl
     */
    class ProductOptionGroupExclToCategory extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'product_option_group_excl_to_category';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'product_option_group_excl_id',
                        'category_id',
                    ],
                    'required',
                ],
                [
                    [
                        'product_option_group_excl_id',
                        'category_id',
                        'sort',
                    ],
                    'integer',
                ],
                [
                    [
                        'status',
                        'in_menu',
                        'is_filter',
                    ],
                    'boolean',
                ],
                [
                    [ 'category_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Category::className(),
                    'targetAttribute' => [ 'category_id' => 'id' ],
                ],
                [
                    [ 'product_option_group_excl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => ProductOptionGroupExcl::className(),
                    'targetAttribute' => [ 'product_option_group_excl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'product_option_group_excl_id' => Yii::t('catalog', 'Product Option Group Excl ID'),
                'category_id'                  => Yii::t('catalog', 'Category ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getCategory()
        {
            return $this->hasOne(Category::className(), [ 'id' => 'category_id' ])
                        ->inverseOf('productOptionGroupExclToCategories');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getProductOptionGroupExcl()
        {
            return $this->hasOne(ProductOptionGroupExcl::className(), [ 'id' => 'product_option_group_excl_id' ])
                        ->inverseOf('productOptionGroupExclToCategories');
        }
    }
