<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "product_to_product_option_compl".
     *
     * @property integer            $product_id
     * @property integer            $product_option_compl_id
     *
     * @property Product            $product
     * @property ProductOptionCompl $productOptionCompl
     */
    class ProductToProductOptionCompl extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'product_to_product_option_compl';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'product_id',
                        'product_option_compl_id',
                    ],
                    'required',
                ],
                [
                    [
                        'product_id',
                        'product_option_compl_id',
                    ],
                    'integer',
                ],
                [
                    [ 'product_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Product::className(),
                    'targetAttribute' => [ 'product_id' => 'id' ],
                ],
                [
                    [ 'product_option_compl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => ProductOptionCompl::className(),
                    'targetAttribute' => [ 'product_option_compl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'product_id'              => Yii::t('catalog', 'Product ID'),
                'product_option_compl_id' => Yii::t('catalog', 'Product Option Compl ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getProduct()
        {
            return $this->hasOne(Product::className(), [ 'id' => 'product_id' ])
                        ->inverseOf('productToProductOptionCompls');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getProductOptionCompl()
        {
            return $this->hasOne(ProductOptionCompl::className(), [ 'id' => 'product_option_compl_id' ])
                        ->inverseOf('productToProductOptionCompls');
        }
    }
