<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "variant_option_group_compl_to_category".
     *
     * @property integer                 $variant_option_group_compl_id
     * @property integer                 $category_id
     *
     * @property Category                $category
     * @property VariantOptionGroupCompl $variantOptionGroupCompl
     */
    class VariantOptionGroupComplToCategory extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'variant_option_group_compl_to_category';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'variant_option_group_compl_id',
                        'category_id',
                    ],
                    'required',
                ],
                [
                    [
                        'variant_option_group_compl_id',
                        'category_id',
                    ],
                    'integer',
                ],
                [
                    [ 'category_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Category::className(),
                    'targetAttribute' => [ 'category_id' => 'id' ],
                ],
                [
                    [ 'variant_option_group_compl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => VariantOptionGroupCompl::className(),
                    'targetAttribute' => [ 'variant_option_group_compl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'variant_option_group_compl_id' => Yii::t('catalog', 'Variant Option Group Compl ID'),
                'category_id'                   => Yii::t('catalog', 'Category ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getCategory()
        {
            return $this->hasOne(Category::className(), [ 'id' => 'category_id' ])
                        ->inverseOf('variantOptionGroupComplToCategories');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariantOptionGroupCompl()
        {
            return $this->hasOne(VariantOptionGroupCompl::className(), [ 'id' => 'variant_option_group_compl_id' ])
                        ->inverseOf('variantOptionGroupComplToCategories');
        }
    }
