<?php
    
    namespace artbox\catalog\models;

    use artbox\core\models\Image;
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "variant_to_image".
     *
     * @property integer $variant_id
     * @property integer $image_id
     * @property Image   $image
     * @property Variant $variant
     */
    class VariantToImage extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'variant_to_image';
        }
    
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'variant_id',
                        'image_id',
                    ],
                    'required',
                ],
                [
                    [
                        'variant_id',
                        'image_id',
                    ],
                    'integer',
                ],
                [
                    [ 'image_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Image::className(),
                    'targetAttribute' => [ 'image_id' => 'id' ],
                ],
                [
                    [ 'variant_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Variant::className(),
                    'targetAttribute' => [ 'variant_id' => 'id' ],
                ],
            ];
        }
    
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'variant_id' => Yii::t('catalog', 'Variant ID'),
                'image_id'   => Yii::t('catalog', 'Image ID'),
            ];
        }
    
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getImage()
        {
            return $this->hasOne(Image::className(), [ 'id' => 'image_id' ])
                        ->inverseOf('variantToImages');
        }
    
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariant()
        {
            return $this->hasOne(Variant::className(), [ 'id' => 'variant_id' ])
                        ->inverseOf('variantToImages');
        }
    }
