<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "variant_to_variant_option_compl".
     *
     * @property integer            $variant_id
     * @property integer            $variant_option_compl_id
     *
     * @property Variant            $variant
     * @property VariantOptionCompl $variantOptionCompl
     */
    class VariantToVariantOptionCompl extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'variant_to_variant_option_compl';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'variant_id',
                        'variant_option_compl_id',
                    ],
                    'required',
                ],
                [
                    [
                        'variant_id',
                        'variant_option_compl_id',
                    ],
                    'integer',
                ],
                [
                    [ 'variant_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Variant::className(),
                    'targetAttribute' => [ 'variant_id' => 'id' ],
                ],
                [
                    [ 'variant_option_compl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => VariantOptionCompl::className(),
                    'targetAttribute' => [ 'variant_option_compl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'variant_id'              => Yii::t('catalog', 'Variant ID'),
                'variant_option_compl_id' => Yii::t('catalog', 'Variant Option Compl ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariant()
        {
            return $this->hasOne(Variant::className(), [ 'id' => 'variant_id' ])
                        ->inverseOf('variantToVariantOptionCompls');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariantOptionCompl()
        {
            return $this->hasOne(VariantOptionCompl::className(), [ 'id' => 'variant_option_compl_id' ])
                        ->inverseOf('variantToVariantOptionCompls');
        }
    }
