<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "variant_to_variant_option_excl".
     *
     * @property integer           $variant_id
     * @property integer           $variant_option_excl_id
     *
     * @property Variant           $variant
     * @property VariantOptionExcl $variantOptionExcl
     */
    class VariantToVariantOptionExcl extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'variant_to_variant_option_excl';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'variant_id',
                        'variant_option_excl_id',
                    ],
                    'required',
                ],
                [
                    [
                        'variant_id',
                        'variant_option_excl_id',
                    ],
                    'integer',
                ],
                [
                    [ 'variant_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Variant::className(),
                    'targetAttribute' => [ 'variant_id' => 'id' ],
                ],
                [
                    [ 'variant_option_excl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => VariantOptionExcl::className(),
                    'targetAttribute' => [ 'variant_option_excl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'variant_id'             => Yii::t('catalog', 'Variant ID'),
                'variant_option_excl_id' => Yii::t('catalog', 'Variant Option Excl ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariant()
        {
            return $this->hasOne(Variant::className(), [ 'id' => 'variant_id' ])
                        ->inverseOf('variantToVariantOptionExcls');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariantOptionExcl()
        {
            return $this->hasOne(VariantOptionExcl::className(), [ 'id' => 'variant_option_excl_id' ])
                        ->inverseOf('variantToVariantOptionExcls');
        }
    }
