<?php
    
    use artbox\catalog\models\Category;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\DetailView;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var View     $this
     * @var Category $model
     */
    
    $this->title = $model->lang->title;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Categories'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="category-view">
    
    <?php $xPanel = Panel::begin(
        [
            'header' => $this->title,
        ]
    ) ?>
  <p>
      <?= Html::a(
          Yii::t('catalog', 'Update'),
          [
              'update',
              'id' => $model->id,
          ],
          [ 'class' => 'btn btn-primary' ]
      ) ?>
      <?= Html::a(
          Yii::t('catalog', 'Delete'),
          [
              'delete',
              'id' => $model->id,
          ],
          [
              'class' => 'btn btn-danger',
              'data'  => [
                  'confirm' => Yii::t('catalog', 'Are you sure you want to delete this item?'),
                  'method'  => 'post',
              ],
          ]
      ) ?>
  </p>
    
    <?= DetailView::widget(
        [
            'model'      => $model,
            'attributes' => [
                'id',
                'lang.title',
                [
                    'attribute' => 'image_id',
                    'value'     => function (Category $model) {
                        if (empty($model->image)) {
                            return \Yii::$app->formatter->asText($model->image);
                        } else {
                            return $model->image->getImg(
                                [
                                    'width' => '400px',
                                ]
                            );
                        }
                    },
                    'format'    => 'html',
                ],
                [
                    'attribute' => 'thumb_id',
                    'value'     => function (Category $model) {
                        if (empty($model->thumb)) {
                            return \Yii::$app->formatter->asText($model->thumb);
                        } else {
                            return $model->thumb->getImg(
                                [
                                    'width' => '400px',
                                ]
                            );
                        }
                    },
                    'format'    => 'html',
                ],
                [
                    'attribute' => 'parent_id',
                    'value'     => function (Category $model) {
                        if (empty($model->parent)) {
                            return \Yii::t('catalog', 'root');
                        } else {
                            return $model->parent->lang->title;
                        }
                    },
                ],
                'level',
                'sort',
                'status:boolean',
                'created_at:datetime',
                'updated_at:datetime',
                'lang.description:html',
            ],
        ]
    ) ?>
    
    <?php $xPanel::end(); ?>

</div>
