<?php
    
    use artbox\core\helpers\ImageHelper;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yiister\gentelella\widgets\Panel;
    
    /* @var $this yii\web\View */
    
    $this->title = Yii::t('catalog', 'Export');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="export-index">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => Html::encode($this->title),
            ]
        );
    ?>
  <p class="h5"><?php echo \Yii::t('catalog', 'Export to'); ?>:</p>
  <p>
    <a href="#" class="export-link" data-url="<?php echo Url::to(
        [ 'hotline' ],
        true
    ); ?>" data-file="<?php echo Url::to('hotline.xml', true); ?>">
        <?php
            echo ImageHelper::set('@backend/web/img/hotline_logo.jpg')
                            ->fillResize(150, 75)
                            ->quality(85)
                            ->renderImage();
        ?>
    </a>
  </p>
  <p>
    <a href="#" class="export-link" data-url="<?php echo Url::to(
        [ 'nadavi' ],
        true
    ); ?>" data-file="<?php echo Url::to('nadavi.xml', true); ?>">
        <?php
            echo ImageHelper::set('@backend/web/img/nadavi_logo.png')
                            ->fillResize(150, 75)
                            ->quality(85)
                            ->renderImage();
        ?>
    </a>
  </p>
  <div id="export-progress" class="progress hidden">
    <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0"></div>
  </div>
  <p class="text-right hidden" id="export-link">
    <a href="" target="_blank"><?php echo \Yii::t('catalog', 'Get export file'); ?></a>
  </p>
    <?php
        $xPanel::end();
    ?>
</div>
