<?php
    
    use artbox\catalog\models\Option;
    use artbox\catalog\models\OptionLang;
    use yii\helpers\Html;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var OptionLang $modelLangs
     * @var Option     $model
     * @var View       $this
     */
    $this->title = Yii::t(
            'catalog',
            'Update {modelClass}: ',
            [
                'modelClass' => 'Option',
            ]
        ) . $model->lang->value;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => \Yii::t('app', 'Product option exclusion groups'),
        'url'   => [
            '/product-option-group-exclusion/index',
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->group->lang->title,
        'url'   => [
            '/product-option-group-exclusion/view',
            'id' => $model->groupId,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Options'),
        'url'   => [
            'index',
            'group_id' => $model->groupId,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->lang->value,
        'url'   => [
            'view',
            'id' => $model->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('catalog', 'Update');
?>
<div class="option-update">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => Html::encode($this->title),
            ]
        );
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'modelLangs' => $modelLangs,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>

</div>
