<?php
    
    use artbox\catalog\models\OptionGroup;
    use artbox\catalog\models\OptionGroupLang;
    use artbox\catalog\widgets\GroupCategoryWidget;
    use artbox\core\widgets\LanguageForm;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var OptionGroupLang[] $modelLangs
     * @var OptionGroup       $model
     * @var ActiveForm        $form
     * @var View              $this
     */
?>

<div class="product-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?= GroupCategoryWidget::widget(
        [
            'form'        => $form,
            'categoryIds' => $model->categoryIds,
            'model'       => $model,
        ]
    ) ?>
    
    <?= LanguageForm::widget(
        [
            'modelLangs' => $modelLangs,
            'formView'   => '@artbox/catalog/views/product-option-group-compl/_form_language',
            'form'       => $form,
        ]
    ) ?>
    
    <?= $form->field($model, 'sort')
             ->textInput() ?>
    
    <?= $form->field($model, 'is_filter')
             ->checkbox(
                 [
                     'class' => 'flat',
                 ]
             ) ?>
    
    <?= $form->field($model, 'status')
             ->checkbox(
                 [
                     'class' => 'flat',
                 ]
             ) ?>
    
    <?= $form->field($model, 'in_menu')
             ->checkbox(
                 [
                     'class' => 'flat',
                 ]
             ) ?>
  
  <div class="form-group">
      <?= Html::submitButton(
          $model->isNewRecord ? Yii::t('catalog', 'Create') : Yii::t('catalog', 'Update'),
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
