<?php
    
    namespace artbox\core\filters;
    
    use Yii;
    use yii\base\ActionEvent;
    use yii\base\Behavior;
    use yii\web\Controller;
    use yii\web\MethodNotAllowedHttpException;
    
    /**
     * Class IsAjaxFilter
     *
     * @package artbox\core\filters
     */
    class IsAjaxFilter extends Behavior
    {
        /**
         * @var array
         */
        public $actions = [];
        
        /**
         * Declares event handlers for the [[owner]]'s events.
         *
         * @return array events (array keys) and the corresponding event handler methods (array values).
         */
        public function events()
        {
            return [ Controller::EVENT_BEFORE_ACTION => 'beforeAction' ];
        }
        
        /**
         * @param ActionEvent $event
         *
         * @return bool
         * @throws MethodNotAllowedHttpException when the request method is not allowed.
         */
        public function beforeAction($event)
        {
            $action = $event->action->id;
            if (!in_array($action, $this->actions)) {
                return $event->isValid;
            }
            
            if (!Yii::$app->request->isAjax) {
                $event->isValid = false;
                throw new MethodNotAllowedHttpException('Must be AJAX request only');
            }
            
            return $event->isValid;
        }
    }
