<?php

use yii\db\Migration;

class m170309_000005_page_lang extends Migration
{
    public function safeUp()
    {
        $this->createTable(
            'page_lang',
            [
                'page_id'=> $this->integer(32)->notNull(),
                'language_id'=> $this->integer(32)->notNull(),
                'title'=> $this->string(255)->notNull(),
                'body'=> $this->text()->notNull(),
                'meta_title'=> $this->string(255)->null()->defaultValue(null),
                'meta_description'=> $this->string(255)->null()->defaultValue(null),
                'seo_text'=> $this->text()->null()->defaultValue(null),
                'h1'=> $this->string(255)->null()->defaultValue(null),
                'alias_id'=> $this->integer()->notNull(),
                'PRIMARY KEY(page_id, language_id)',
            ]
        );
        $this->createIndex('page_lang_alias_id','page_lang','alias_id',true);
    }

    public function safeDown()
    {
        $this->dropIndex('page_lang_alias_id', 'page_lang');
        $this->dropTable('page_lang');
    }
}
