<?php
    
    namespace artbox\core\models;
    
    use yii\base\Model;
    use yii\data\ActiveDataProvider;
    
    /**
     * SlideSearch represents the model behind the search form about `common\models\Slide`.
     */
    class SlideSearch extends Slide
    {
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'id',
                        'slider_id',
                        'sort',
                    ],
                    'integer',
                ],
                [
                    [ 'status' ],
                    'boolean',
                ],
            ];
        }
    
        /**
         * @inheritdoc
         */
        public function behaviors()
        {
            return [];
        }
    
        /**
         * @inheritdoc
         */
        public function scenarios()
        {
            // bypass scenarios() implementation in the parent class
            return Model::scenarios();
        }
        
        /**
         * Creates data provider instance with search query applied
         *
         * @param array                      $params
         * @param \artbox\core\models\Slider $slider
         *
         * @return \yii\data\ActiveDataProvider
         */
        public function search($params, Slider $slider)
        {
            $query = Slide::find();
            
            // add conditions that should always apply here
            $query->where([ 'slider_id' => $slider->id ]);
            
            $dataProvider = new ActiveDataProvider(
                [
                    'query' => $query,
                ]
            );
            
            $this->load($params);
            
            if (!$this->validate()) {
                // uncomment the following line if you do not want to return any records when validation fails
                // $query->where('0=1');
                return $dataProvider;
            }
            
            // grid filtering conditions
            $query->andFilterWhere(
                [
                    'id'        => $this->id,
                    'slider_id' => $this->slider_id,
                    'status'    => $this->status,
                    'sort'      => $this->sort,
                ]
            );
            
            return $dataProvider;
        }
    }
