<?php
    use yii\bootstrap\ActiveForm;
    use yii\bootstrap\Html;
    use yii\web\View;
    use artbox\core\models\AliasSearch;
    
    /**
     * @var AliasSearch $model
     * @var View        $this
     * @var array       $languages
     * @var array       $entities
     */
    $languages[ 0 ] = \Yii::t('core', 'No language');
?>
<div class="alias-search">
    <?php
        $form = ActiveForm::begin(
            [
                'action'  => [ 'index' ],
                'method'  => 'get',
                'options' => [
                    'class' => 'form-inline',
                ],
            ]
        );
    ?>
    <?php
        echo $form->field($model, 'search')
                  ->label(false)
                  ->textInput();
        echo $form->field($model, 'entity')
                  ->label(false)
                  ->dropDownList(
                      $entities,
                      [
                          'prompt' => ' ',
                      ]
                  );
        echo $form->field($model, 'static')
                  ->label(false)
                  ->dropDownList(
                      [
                          \Yii::t('core', 'Static pages'),
                          \Yii::t('core', 'Dynamic pages'),
                      ],
                      [
                          'prompt' => ' ',
                      ]
                  );
        echo $form->field($model, 'language_id')
                  ->label(false)
                  ->dropDownList(
                      $languages,
                      [
                          'prompt' => ' ',
                      ]
                  );
        echo Html::submitButton(\Yii::t('core', 'Search'), [ 'class' => 'btn btn-default' ]);
    ?>
    <?php
        $form::end();
    ?>
</div>
