<?php
    
    use artbox\core\models\Page;
    use artbox\core\models\PageLang;
    use yii\bootstrap\Tabs;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var View       $this
     * @var Page       $model
     * @var ActiveForm $form
     * @var PageLang[] $modelLangs
     */
?>

<div class="page-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    
    <?php
        echo Tabs::widget(
            [
                'items'   => [
                    [
                        'label'   => \Yii::t('core', 'Common'),
                        'content' => $this->render(
                            '_form_common',
                            [
                                'form'       => $form,
                                'model'      => $model,
                                'modelLangs' => $modelLangs,
                            ]
                        ),
                    ],
                    [
                        'label'   => \Yii::t('core', 'Gallery'),
                        'content' => $this->render(
                            '_gallery',
                            [
                                'model' => $model,
                            ]
                        ),
                    ],
                ],
                'options' => [
                    'class' => 'bar_tabs',
                ],
            ]
        );
    ?>
    
    <div class="form-group">
        <?= Html::submitButton(
            $model->isNewRecord ? 'Создать' : 'Обновить',
            [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
        ) ?>
    </div>
    
    <?php ActiveForm::end(); ?>

</div>
