<?php
    
    use artbox\core\models\SlideSearch;
    use yii\helpers\Html;
    use yii\grid\GridView;
    
    /* @var $this yii\web\View */
    /* @var $searchModel SlideSearch */
    /* @var $dataProvider yii\data\ActiveDataProvider */
    /* @var \artbox\core\models\Slider $slider */
    
    $this->title = Yii::t('core', 'Slides');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="slide-index">
  
  <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
  
  <p>
      <?= Html::a(Yii::t('core', 'Create Slide'),
                  [
                      'create',
                      'slider_id' => $slider->id,
                  ],
                  [ 'class' => 'btn btn-success' ]
      ) ?>
  </p>
    <?= GridView::widget(
        [
            'dataProvider' => $dataProvider,
            'filterModel'  => $searchModel,
            'columns'      => [
                [ 'class' => 'yii\grid\SerialColumn' ],
                
                'id',
                'slider_id',
                'status:boolean',
                'sort',
                
                [ 'class' => 'yii\grid\ActionColumn' ],
            ],
        ]
    ); ?>
</div>
