<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation of table `order_product`.
     */
    class m170503_145306_create_order_product_table extends Migration
    {
        /**
         * @inheritdoc
         */
        public function safeUp()
        {
            $this->createTable(
                'order_product',
                [
                    'order_id'   => $this->integer()
                                         ->notNull(),
                    'variant_id' => $this->integer()
                                         ->notNull(),
                    'sku'        => $this->string()
                                         ->notNull(),
                    'price'      => $this->decimal(),
                    'count'      => $this->integer(),
                ]
            );
            
            $this->addForeignKey(
                'order_product_order_id_fkey',
                'order_product',
                'order_id',
                'order',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'order_variant_id_fkey',
                'order_product',
                'variant_id',
                'variant',
                'id',
                'SET NULL',
                'CASCADE'
            );
    
            $this->addPrimaryKey(
                'order_product_pkey',
                'order_product',
                [
                    'order_id',
                    'variant_id',
                ]
            );
        }
        
        /**
         * @inheritdoc
         */
        public function safeDown()
        {
            $this->dropForeignKey('order_product_order_id_fkey', 'order_product');
            $this->dropForeignKey('order_variant_id_fkey', 'order_product');
            
            $this->dropTable('order_product');
        }
    }
