<?php
    
    namespace artbox\order\models;
    
    use yii\base\Model;
    use yii\data\ActiveDataProvider;
    
    /**
     * OrderProductSearch represents the model behind the search form about `artbox\order\models\OrderProduct`.
     */
    class OrderProductSearch extends OrderProduct
    {
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'id',
                        'order_id',
                        'variant_id',
                        'count',
                    ],
                    'integer',
                ],
                [
                    [ 'sku' ],
                    'safe',
                ],
                [
                    [ 'price' ],
                    'number',
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function scenarios()
        {
            // bypass scenarios() implementation in the parent class
            return Model::scenarios();
        }
        
        /**
         * Creates data provider instance with search query applied
         *
         * @param array $params
         *
         * @return ActiveDataProvider
         */
        public function search($params)
        {
            $query = OrderProduct::find();
            
            // add conditions that should always apply here
            
            $dataProvider = new ActiveDataProvider(
                [
                    'query' => $query,
                ]
            );
            
            $this->load($params);
            
            if (!$this->validate()) {
                // uncomment the following line if you do not want to return any records when validation fails
                // $query->where('0=1');
                return $dataProvider;
            }
            
            // grid filtering conditions
            $query->andFilterWhere(
                [
                    'id'         => $this->id,
                    'order_id'   => $this->order_id,
                    'variant_id' => $this->variant_id,
                    'price'      => $this->price,
                    'count'      => $this->count,
                ]
            );
            
            $query->andFilterWhere(
                [
                    'like',
                    'sku',
                    $this->sku,
                ]
            );
            
            return $dataProvider;
        }
    }
