<?php
    
    use artbox\core\widgets\LanguageForm;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    
    /**
     * @var \yii\web\View                       $this
     * @var \artbox\order\models\Delivery       $model
     * @var \artbox\order\models\DeliveryLang[] $modelLangs
     */
?>

<div class="delivery-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?= LanguageForm::widget(
        [
            'modelLangs' => $modelLangs,
            'formView'   => '@artbox/order/views/delivery/_form_language',
            'form'       => $form,
        ]
    ) ?>
    
    <?= $form->field($model, 'sort')
             ->textInput() ?>
    
    <?= $form->field($model, 'value')
             ->textInput() ?>
    
    <?= $form->field($model, 'status')
             ->checkbox(
                 [
                     'class' => 'flat',
                 ]
             ) ?>
  
  <div class="form-group">
      <?= Html::submitButton(
          $model->isNewRecord ? Yii::t('order', 'Создать') : Yii::t('order', 'Обновить'),
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
