<?php
    
    use artbox\core\widgets\LanguageForm;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    
    /**
     * @var \yii\web\View                      $this
     * @var \artbox\order\models\Payment       $model
     * @var \artbox\order\models\PaymentLang[] $modelLangs
     * @var ActiveForm                         $form
     */
?>

<div class="payment-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?= LanguageForm::widget(
        [
            'modelLangs' => $modelLangs,
            'formView'   => '@artbox/order/views/payment/_form_language',
            'form'       => $form,
        ]
    ) ?>
    
    <?= $form->field($model, 'sort')
             ->textInput() ?>
    
    <?= $form->field($model, 'status')
             ->checkbox(
                 [
                     'class' => 'flat',
                 ]
             ) ?>
  
  <div class="form-group">
      <?= Html::submitButton(
          $model->isNewRecord ? Yii::t('order', 'Create') : Yii::t('order', 'Update'),
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
