<?php
    
    use yii\helpers\Html;
    use yii\grid\GridView;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var \yii\web\View                    $this
     * @var \artbox\order\models\OrderSearch $searchModel
     * @var \yii\data\ActiveDataProvider     $dataProvider
     * @var array                            $labels
     */
    
    $this->title = Yii::t('order', 'Orders');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="order-index">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
  <p>
      <?= Html::a(Yii::t('order', 'Create Order'), [ 'create' ], [ 'class' => 'btn btn-success' ]) ?>
  </p>
    <?= GridView::widget(
        [
            'dataProvider' => $dataProvider,
            'filterModel'  => $searchModel,
            'columns'      => [
                [ 'class' => 'yii\grid\SerialColumn' ],
                
                'id',
                'user_id',
                'name',
                [
                    'attribute' => 'secondname',
                    'format' => 'text',
                    'label' => 'Фамилия',
                ],
                'phone',
                'email:email',
                [
                    'attribute' => 'label_id',
                    'value'     => 'label.lang.title',
                    'filter'    => $labels,
                ],
                'created_at:datetime',
                'ip',
                [
                    'attribute' => 'count',
                    'value'     => function ($model) {
                        /**
                         * @var \artbox\order\models\Order $model
                         */
                        return count($model->orderProducts);
                    },
                ],
                
                [ 'class' => 'yii\grid\ActionColumn' ],
            ],
        ]
    ); ?>
    <?php
        $xPanel::end();
    ?>
</div>
