<?php
    
    namespace common\models;
    
    use artbox\order\models\Customer;
    use yii\base\Model;
    use yii\data\ActiveDataProvider;
    
    /**
     * CustomerSearch represents the model behind the search form about `common\models\Customer`.
     */
    class CustomerSearch extends Customer
    {
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'id',
                        'status',
                        'created_at',
                        'updated_at',
                        'gender',
                        'birthday',
                    ],
                    'integer',
                ],
                [
                    [
                        'username',
                        'auth_key',
                        'password_hash',
                        'password_reset_token',
                        'email',
                        'name',
                        'phone',
                        'city',
                        'address',
                        'social_id',
                    ],
                    'safe',
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function scenarios()
        {
            // bypass scenarios() implementation in the parent class
            return Model::scenarios();
        }
        
        /**
         * Creates data provider instance with search query applied
         *
         * @param array $params
         *
         * @return ActiveDataProvider
         */
        public function search($params)
        {
            $query = Customer::find();
            
            // add conditions that should always apply here
            
            $dataProvider = new ActiveDataProvider(
                [
                    'query' => $query,
                ]
            );
            
            $this->load($params);
            
            if (!$this->validate()) {
                // uncomment the following line if you do not want to return any records when validation fails
                // $query->where('0=1');
                return $dataProvider;
            }
            
            // grid filtering conditions
            $query->andFilterWhere(
                [
                    'id'         => $this->id,
                    'status'     => $this->status,
                    'created_at' => $this->created_at,
                    'updated_at' => $this->updated_at,
                    'gender'     => $this->gender,
                    'birthday'   => $this->birthday,
                ]
            );
            
            $query->andFilterWhere(
                [
                    'like',
                    'username',
                    $this->username,
                ]
            )
                  ->andFilterWhere(
                      [
                          'like',
                          'auth_key',
                          $this->auth_key,
                      ]
                  )
                  ->andFilterWhere(
                      [
                          'like',
                          'password_hash',
                          $this->password_hash,
                      ]
                  )
                  ->andFilterWhere(
                      [
                          'like',
                          'password_reset_token',
                          $this->password_reset_token,
                      ]
                  )
                  ->andFilterWhere(
                      [
                          'ilike',
                          'email',
                          $this->email,
                      ]
                  )
                  ->andFilterWhere(
                      [
                          'ilike',
                          'name',
                          $this->name,
                      ]
                  )
                  ->andFilterWhere(
                      [
                          'like',
                          'phone',
                          $this->phone,
                      ]
                  )
                  ->andFilterWhere(
                      [
                          'like',
                          'city',
                          $this->city,
                      ]
                  )
                  ->andFilterWhere(
                      [
                          'like',
                          'address',
                          $this->address,
                      ]
                  )
                  ->andFilterWhere(
                      [
                          'like',
                          'social_id',
                          $this->social_id,
                      ]
                  );
            
            return $dataProvider;
        }
    }
