<?php

namespace common\models;


use artbox\core\models\Feedback as CoreFeedback;


class Feedback extends CoreFeedback
{

	public $reCaptcha;

	public function rules()
	{
		return [
			[
				[
					'name',
					'email',
					'phone',
					'reCaptcha'
				],
				'required',
				'on' => self::SCENARIO_DEFAULT,
			],
			[
				[
					'name',
					'email',
				],
				'required',
				'on' => self::SCENARIO_FEEDBACK,
			],
			[
				[
					'phone',
					'name',
				],
				'required',
				'on' => self::SCENARIO_CALLBACK,
			],
			[[
				'reCaptcha'
			],
				\himiklab\yii2\recaptcha\ReCaptchaValidator::className(),
//				'secret' => '6LcmYmcUAAAAACVi_73RmSAIjJlw4BCgQpfUsrPs',
				'secret' => '6LfWrmkUAAAAAAFJfjMieZs-EHblaqdt4sPZZqVZ',
				'uncheckedMessage' => 'Please confirm that you are not a bot.',

			],
			[
				['reCaptcha'],
				'required'
			],

			[
				['email'],
				'email',
			],
			[
				['phone'],
				'match',
				'pattern' => '/^\+38\(\d{3}\)\d{3}-\d{2}-\d{2}$/',
				'message' => 'Формат телефона должент соответствовать +38(000)000-00-00'
			],
			[
				[
					'name',
					'phone',
					'email',
				],
				'string',
				'max' => 255,
			],
			[
				[
					'message',
				],
				'string',
			],
			[
				[
					'status',
				],
				'boolean',
			],
			[
				'returnUrl',
				'safe',
			],
		];
	}

}


?>