<?php
    
    namespace common\models;
    
    use artbox\core\models\Image;
    use Yii;
    use yii\db\ActiveRecord;
    
    /**
     * This is the model class for table "slider".
     *
     * @property integer                   $id
     * @property integer                   $image_id
     * @property string                    $link
     * @property boolean                   $status
     * @property integer                   $sort
     * @property \artbox\core\models\Image $image
     */
    class Slider extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'slider';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [ 'image_id' ],
                    'required',
                ],
                [
                    [
                        'image_id',
                        'sort',
                    ],
                    'integer',
                ],
                [
                    [ 'status' ],
                    'boolean',
                ],
                [
                    [ 'link' ],
                    'string',
                    'max' => 255,
                ],
                [
                    [ 'image_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Image::className(),
                    'targetAttribute' => [ 'image_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'id'       => Yii::t('app', 'ID'),
                'image_id' => Yii::t('app', 'Image ID'),
                'link'     => Yii::t('app', 'Link'),
                'status'   => Yii::t('app', 'Status'),
                'sort'     => Yii::t('app', 'Sort'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getImage()
        {
            return $this->hasOne(Image::className(), [ 'id' => 'image_id' ]);
        }
    }
