<?php
    
    namespace common\models;
    
    use yii\data\ActiveDataProvider;
    
    /**
     * SliderSearch represents the model behind the search form about `common\models\Page`.
     */
    class SliderSearch extends Slider
    {
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [ 'id' ],
                    'integer',
                ],
                [
                    [ 'status' ],
                    'boolean',
                ],
                [
                    [ 'link' ],
                    'string',
                    'max' => 255,
                ],
            ];
        }
        
        /**
         * Creates data provider instance with search query applied
         *
         * @param array $params
         *
         * @return ActiveDataProvider
         */
        public function search($params)
        {
            $query = Slider::find();
            
            // add conditions that should always apply here
            
            $dataProvider = new ActiveDataProvider(
                [
                    'query' => $query,
                ]
            );
            
            $this->load($params);
            
            if (!$this->validate()) {
                // uncomment the following line if you do not want to return any records when validation fails
                // $query->where('0=1');
                return $dataProvider;
            }
            
            // grid filtering conditions
            $query->andFilterWhere(
                [
                    'id'     => $this->id,
                    'status' => $this->status,
                ]
            )
                  ->andFilterWhere(
                      [
                          'like',
                          'link',
                          $this->link,
                      ]
                  );
            
            return $dataProvider;
        }
    }
