<?php
    
    use artbox\core\helpers\ImageHelper;
    use artbox\order\models\Order;
    use yii\helpers\Url;
    use yii\web\View;
    
    /**
     * @var View  $this
     * @var Order $order
     */
    
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('app', 'Orders'),
        'url'   => [
            'account/index',
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('app', 'Order') . ' № ' . $order->id;

?>

<div id="content">
  <div class="container">
    
    <div class="row">
      
      <!-- *** LEFT COLUMN ***
_________________________________________________________ -->
      
      <div class="col-md-9 clearfix" id="customer-order">
        
        <p class="lead"><?= Yii::t('app', 'Order')?> №<?= $order->id ?> <?=Yii::t('app','was moved on')?> <strong><?= date(
                    'd.m.Y',
                    $order->created_at
                ) ?></strong><?php
                if (!empty($order->label)) {
                    ?> <?=Yii::t('app','and now is')?>
                  <strong><?= $order->label->lang->title ?></strong>.<?php } ?></p>
        <p class="lead text-muted"><?=Yii::t('app','order_text')?>
          <a target="_blank" href="<?= Url::to(
              [ 'site/contact' ]
          ) ?>"><?=Yii::t('app','write to us')?></a>.</p>
        
        <div class="box">
          <div class="table-responsive">
            <table class="table">
              <thead>
                <tr>
                  <th colspan="2"><?=Yii::t('app','Product')?></th>
                  <th><?=Yii::t('app','Quantity')?></th>
                  <th><?=Yii::t('app','Unit price')?></th>
                  <th><?=Yii::t('app','Total')?></th>
                </tr>
              </thead>
              <tbody>
                  <?php
                      $total = 0;
                      foreach ($order->orderProducts as $product) {
                          $total += $product->price * $product->count;
                          ?>
                        <tr>
                          <td>
                            <a target="_blank" href="<?= Url::to(
                                [
                                    'product/view',
                                    'id' => $product->variant->product->id,
                                ]
                            ) ?>">
                                <?= ImageHelper::set(
                                    $product->variant ? $product->variant->product->image->getPath(
                                    ) : '@frontend/web/img/no-image.png'
                                )
                                               ->cropResize(50, 50)
                                               ->renderImage(
                                                   [
                                                       'alt' => $product->variant->product->lang->title,
                                                   ]
                                               ) ?>
                            </a>
                          </td>
                          <td><a target="_blank" href="<?= Url::to(
                                  [
                                      'product/view',
                                      'id' => $product->variant->product->id,
                                  ]
                              ) ?>"><?= $product->variant->product->lang->title ?></a>
                          </td>
                          <td><?= $product->count ?></td>
                          <td><?= $product->price ?></td>
                          <td><?= $product->count * $product->price ?></td>
                        </tr>
                      <?php } ?>
              </tbody>
              <tfoot>
                <tr>
                  <th colspan="4" class="text-right"><?=Yii::t('app','Total')?></th>
                  <th><?= $total ?></th>
                </tr>
              </tfoot>
            </table>
          
          </div>
          <!-- /.table-responsive -->
          
          <div class="row addresses">
            <div class="col-sm-6 col-sm-offset-6">
              <h3 class="text-uppercase"><?= \Yii::t('app', 'Information') ?></h3>
              <p><?= $order->name ?>
                <br><?= $order->phone ?>
                <br><?= $order->city ?>
                <br><?= $order->address ?>
                <br><?= $order->payment->lang->title ?>
                <br><?= $order->delivery->lang->title ?></p>
            </div>
          </div>
          <!-- /.addresses -->
        
        </div>
        <!-- /.box -->
      
      </div>
      <!-- /.col-md-9 -->
      
      <!-- *** LEFT COLUMN END *** -->
      
      <!-- *** RIGHT COLUMN ***
_________________________________________________________ -->
      
      <div class="col-md-3">
        <!-- *** CUSTOMER MENU ***
_________________________________________________________ -->
          <?= $this->render('_menu') ?>
        <!-- /.col-md-3 -->
        
        <!-- *** CUSTOMER MENU END *** -->
      </div>
      
      <!-- *** RIGHT COLUMN END *** -->
    
    </div>
    <!-- /.row -->
  
  
  </div>
  <!-- /.container -->
</div>
<!-- /#content -->
            
      